## WebKitDOMHTMLScriptElement

WebKitDOMHTMLScriptElement

## Functions

gchar * | webkit_dom_html_script_element_get_text ()
void | webkit_dom_html_script_element_set_text ()
gchar * | webkit_dom_html_script_element_get_html_for ()
void | webkit_dom_html_script_element_set_html_for ()
gchar * | webkit_dom_html_script_element_get_event ()
void | webkit_dom_html_script_element_set_event ()
gchar * | webkit_dom_html_script_element_get_charset ()
void | webkit_dom_html_script_element_set_charset ()
gboolean | webkit_dom_html_script_element_get_async ()
void | webkit_dom_html_script_element_set_async ()
gboolean | webkit_dom_html_script_element_get_defer ()
void | webkit_dom_html_script_element_set_defer ()
gchar * | webkit_dom_html_script_element_get_src ()
void | webkit_dom_html_script_element_set_src ()
gchar * | webkit_dom_html_script_element_get_cross_origin ()
void | webkit_dom_html_script_element_set_cross_origin ()
gchar * | webkit_dom_html_script_element_get_nonce ()
void | webkit_dom_html_script_element_set_nonce ()

## Properties

gboolean | async | Read / Write
gchar * | charset | Read / Write
gchar * | cross-origin | Read / Write
gboolean | defer | Read / Write
gchar * | event | Read / Write
gchar * | html-for | Read / Write
gchar * | nonce | Read / Write
gchar * | src | Read / Write
gchar * | text | Read / Write
gchar * | type | Read / Write

## Types and Values

| WebKitDOMHTMLScriptElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLScriptElement

## Implemented Interfaces

WebKitDOMHTMLScriptElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_script_element_get_text ()

    gchar *
    webkit_dom_html_script_element_get_text
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_text ()

    void
    webkit_dom_html_script_element_set_text
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_html_for ()

    gchar *
    webkit_dom_html_script_element_get_html_for
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_html_for ()

    void
    webkit_dom_html_script_element_set_html_for
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_event ()

    gchar *
    webkit_dom_html_script_element_get_event
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_event ()

    void
    webkit_dom_html_script_element_set_event
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_charset ()

    gchar *
    webkit_dom_html_script_element_get_charset
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_charset ()

    void
    webkit_dom_html_script_element_set_charset
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_async ()

    gboolean
    webkit_dom_html_script_element_get_async
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gboolean

### webkit_dom_html_script_element_set_async ()

    void
    webkit_dom_html_script_element_set_async
                                   (WebKitDOMHTMLScriptElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gboolean |

### webkit_dom_html_script_element_get_defer ()

    gboolean
    webkit_dom_html_script_element_get_defer
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gboolean

### webkit_dom_html_script_element_set_defer ()

    void
    webkit_dom_html_script_element_set_defer
                                   (WebKitDOMHTMLScriptElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gboolean |

### webkit_dom_html_script_element_get_src ()

    gchar *
    webkit_dom_html_script_element_get_src
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_src ()

    void
    webkit_dom_html_script_element_set_src
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_cross_origin ()

    gchar *
    webkit_dom_html_script_element_get_cross_origin
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_cross_origin ()

    void
    webkit_dom_html_script_element_set_cross_origin
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_nonce ()

    gchar *
    webkit_dom_html_script_element_get_nonce
                                   (WebKitDOMHTMLScriptElement *self);

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_nonce ()

    void
    webkit_dom_html_script_element_set_nonce
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLScriptElement

    typedef struct _WebKitDOMHTMLScriptElement WebKitDOMHTMLScriptElement;

## Property Details

### The `“async”` property

      “async”                    gboolean

read-write gboolean HTMLScriptElement:async.

Flags: Read / Write

Default value: FALSE

### The `“charset”` property

      “charset”                  gchar *

read-write gchar* HTMLScriptElement:charset.

Flags: Read / Write

Default value: ""

### The `“cross-origin”` property

      “cross-origin”             gchar *

read-write gchar* HTMLScriptElement:cross-origin.

Flags: Read / Write

Default value: ""

### The `“defer”` property

      “defer”                    gboolean

read-write gboolean HTMLScriptElement:defer.

Flags: Read / Write

Default value: FALSE

### The `“event”` property

      “event”                    gchar *

read-write gchar* HTMLScriptElement:event.

Flags: Read / Write

Default value: ""

### The `“html-for”` property

      “html-for”                 gchar *

read-write gchar* HTMLScriptElement:html-for.

Flags: Read / Write

Default value: ""

### The `“nonce”` property

      “nonce”                    gchar *

read-write gchar* HTMLScriptElement:nonce.

Flags: Read / Write

Default value: ""

### The `“src”` property

      “src”                      gchar *

read-write gchar* HTMLScriptElement:src.

Flags: Read / Write

Default value: ""

### The `“text”` property

      “text”                     gchar *

read-write gchar* HTMLScriptElement:text.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLScriptElement:type.

Flags: Read / Write

Default value: ""